This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### StringList
Examples |
    StringList inventory;

    void setup() {
      size(200, 200);
      inventory = new StringList();
      inventory.append("coffee");
      inventory.append("flour");
      inventory.append("tea");
      println(inventory);
      noLoop();
      fill(0);
      textAlign(CENTER);
    }

    void draw() {
      String item = inventory.get(2);
      text(item, width/2, height/2);
    }
Description | Helper class for a list of Strings. Lists are designed to have some of the features of ArrayLists, but to maintain the simplicity and efficiency of working with arrays. Functions like sort() and shuffle() always act on the list itself. To get a sorted copy, use list.copy().sort().
Methods |
size() | Get the length of the list
clear() | Remove all entries from the list
get() | Get an entry at a particular index
set() | Set an entry at a particular index
remove() | Remove an element from the specified index
append() | Add a new entry to the list
hasValue() | Check if a value is a part of the list
sort() | Sorts the array in place
sortReverse() | Reverse sort, orders values from highest to lowest
reverse() | To come...
shuffle() | Randomize the order of the list elements
lower() | Make the entire list lower case
upper() | Make the entire list upper case
array() | Create a new array with a copy of all the values
Constructor |
    StringList()
Related | IntList FloatList

Updated on October 26, 2013 08:58:34pm PDT